novi 1.1.9 release -- fixes build problems under GCC 4.3 and Fedora 9

Hot off the presses, the new novi 1.1.9 is available for download.

Thanks to some eagle-eyed novi fans I have identified and resolved some #include<> problems related to the header file cleanup in GCC 4.3, which ships with Fedora 9.

If you try to build previous novi versions with GCC 4.3 the compiler will complain:

./src/RPM.cc: In member function 'void RPM::setArch(const std::string&)':
./src/RPM.cc:242: error: 'strcmp' was not declared in this scope

I also took this opportunity to remove some unused BuildRequires: entries from the spec file.

(There are no functionality changes in this version.)

Thanks to everyone who sent the GCC link and patches. I wasn’t able to use the patches but they pointed me in the right direction.

Cheers.

* * *